#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define	pdir	Data
%define	pnam	ICal
Summary:	Data::ICal.pm - Generates iCalendar (RFC 2445) calendar files
Name:		perl-Data-ICal
Version:	0.24
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
# Source0:	http://search.cpan.org/CPAN/authors/id/A/AL/ALEXMV/%{pdir}-%{pnam}-%{version}.tar.gz
Source0:        https://cpan.metacpan.org/authors/id/B/BP/BPS/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f90c55d07a03172f5f5ef516e8d45d3d
URL:		http://search.cpan.org/dist/Data-ICal/
BuildRequires:	perl-Class-ReturnValue
BuildRequires:  perl-Module-Install
BuildRequires:	perl-Test-LongString
BuildRequires:	perl-Test-NoWarnings
BuildRequires:	perl-Test-Simple
BuildRequires:	perl-Test-Warn
BuildRequires:	perl-Text-vFile-asData
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A Data::ICal object represents a VCALENDAR object as defined in the
iCalendar protocol (RFC 2445, MIME type "text/calendar"), as
implemented in many popular calendaring programs such as Apple's iCal.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor < /dev/null
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Data/ICal
%{perl_vendorlib}/Data/*.pm
%{_mandir}/man3/*
%changelog
* Tue Nov 01 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Data-ICal.git;a=log;h=master

* Tue Nov 01 2022 Arkadiusz Miśkiewicz <arekm@maven.pl> 3553d43
- Up to 0.24.

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 2d9f72a
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Sep 20 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 586ca97
- up to 0.22

* Thu Mar 28 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> b28d72f
- up to 0.17

* Sat Aug 09 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 78d248b
- rel 5

* Sat Aug 09 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 1ed7861
- rel 4

* Sat Aug 09 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> cfed951
- rel 3

* Sat Aug 09 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 08144f6
- rel 2; add BR Test::NoWarnings

* Fri Aug 08 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 73d4d14
- initial

